Page MenuHomePhabricator

[AMDGPU][MC] Enabled constant expressions as operands of s_waitcnt
ClosedPublic

Authored by dp on Apr 23 2019, 6:58 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Apr 23 2019, 6:58 AM

LGTM

test/MC/AMDGPU/sopp.s
148 ↗(On Diff #196239)

This would obfuscate even better ;)

s_waitcnt=1
s_waitcnt s_waitcnt
artem.tamazov accepted this revision.May 24 2019, 4:54 AM
This revision is now accepted and ready to land.May 24 2019, 4:54 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 27 2019, 7:09 AM